You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     po...@freebsd.org
Last committer: b...@freebsd.org
Ident:          $FreeBSD: head/news/newscache/Makefile 327759 2013-09-20 
22:31:15Z bapt $
Log URL:        
http://beefy1.isc.freebsd.org/bulk/10i386-default/2013-10-17_04h52m04s/logs/newscache-1.2.r.6_4.log
Build URL:      
http://beefy1.isc.freebsd.org/bulk/10i386-default/2013-10-17_04h52m04s
Log:

====>> Building news/newscache
build started at Thu Oct 17 17:15:55 UTC 2013
port directory: /usr/ports/news/newscache
building for: FreeBSD 10i386-default-job-05 10.0-BETA1 FreeBSD 10.0-BETA1 
r256420 i386
maintained by: po...@freebsd.org
Makefile ident:      $FreeBSD: head/news/newscache/Makefile 327759 2013-09-20 
22:31:15Z bapt $
Poudriere version: 3.1-pre

---Begin Environment---
UNAME_m=i386
UNAME_p=i386
OSVERSION=1000500
UNAME_v=FreeBSD 10.0-BETA1 r256420
UNAME_r=10.0-BETA1
BLOCKSIZE=K
MAIL=/var/mail/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin
STATUS=1
MASTERMNT=/usr/local/poudriere/data/build/10i386-default/ref
PKG_EXT=txz
tpid=21901
POUDRIERE_BUILD_TYPE=bulk
PKGNG=1
PKGNAME=newscache-1.2.r.6_4
PKG_DELETE=/usr/local/sbin/pkg-static delete -y -f
PKG_ADD=/usr/local/sbin/pkg-static add
PWD=/root
MASTERNAME=10i386-default
USER=root
HOME=/root
POUDRIERE_VERSION=3.1-pre
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
PKG_VERSION=/poudriere/pkg-static version
PKG_BIN=/usr/local/sbin/pkg-static
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--
--sysconfdir=/usr/local/etc --prefix=/usr/local ${_LATE_CONFIGURE_ARGS}
--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh CONFIG_SHELL=/bin/sh 
AUTOMAKE=/usr/local/bin/automake-1.14  
AUTOMAKE_DIR=/usr/local/share/automake-1.14  AUTOMAKE_VERSION=1.14  
AUTOMAKE_APIVER=1.14  ACLOCAL=/usr/local/bin/aclocal-1.14  
ACLOCAL_DIR=/usr/local/share/aclocal-1.14 AUTOCONF=/usr/local/bin/autoconf-2.69 
 AUTOCONF_DIR=/usr/local/share/autoconf-2.69  
AUTOHEADER=/usr/local/bin/autoheader-2.69  
AUTOIFNAMES=/usr/local/bin/ifnames-2.69  AUTOM4TE=/usr/local/bin/autom4te-2.69  
AUTORECONF=/usr/local/bin/autoreconf-2.69  
AUTOSCAN=/usr/local/bin/autoscan-2.69  
AUTOUPDATE=/usr/local/bin/autoupdate-2.69  AUTOCONF_VERSION=2.69  
CONFIG_SITE=/usr/ports/Templates/config.site lt_cv_sys_max_cmd_len=262144
--End CONFIGURE_ENV--

--MAKE_ENV--
TMPDIR="/tmp" SHELL=/bin/sh NO_LINT=YES AUTOMAKE=/usr/local/bin/automake-1.14  
AUTOMAKE_DIR=/usr/local/share/automake-1.14  AUTOMAKE_VERSION=1.14  
AUTOMAKE_APIVER=1.14  ACLOCAL=/usr/local/bin/aclocal-1.14  
ACLOCAL_DIR=/usr/local/share/aclocal-1.14 AUTOCONF=/usr/local/bin/autoconf-2.69 
 AUTOCONF_DIR=/usr/local/share/autoconf-2.69  
AUTOHEADER=/usr/local/bin/autoheader-2.69  
AUTOIFNAMES=/usr/local/bin/ifnames-2.69  AUTOM4TE=/usr/local/bin/autom4te-2.69  
AUTORECONF=/usr/local/bin/autoreconf-2.69  
AUTOSCAN=/usr/local/bin/autoscan-2.69  
AUTOUPDATE=/usr/local/bin/autoupdate-2.69  AUTOCONF_VERSION=2.69  
PREFIX=/usr/local  LOCALBASE=/usr/local  LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 
-pipe -fno-strict-aliasing"  CPP="cpp" CPPFLAGS="-O2 -pipe -fno-strict-aliasing 
-I/usr/local/include"  LDFLAGS=" -L/usr/local/lib"  CXX="c++" CXXFLAGS="-O2 
-pipe -fno-strict-aliasing"  MANPREFIX="/usr/local" 
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g 
 wheel -m
  444"  BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444"
--End MAKE_ENV--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/newscache
DOCSDIR=/usr/local/share/doc/newscache
EXAMPLESDIR=/usr/local/share/examples/newscache
WWWDIR=/usr/local/www/newscache
ETCDIR=/usr/local/etc/newscache
--End SUB_LIST--

---Begin make.conf---
ARCH=i386
MACHINE=i386
MACHINE_ARCH=i386
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
WITH_PKGNG=yes
NO_RESTRICTED=yes
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
===>  Cleaning for newscache-1.2.r.6_4
=======================<phase: check-config   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   newscache-1.2.r.6_4 depends on file: /usr/local/sbin/pkg - not found
===>    Verifying install for /usr/local/sbin/pkg in /usr/ports/ports-mgmt/pkg
===>   Installing existing package /packages/All/pkg-1.1.4_8.txz
Installing pkg-1.1.4_8... done
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   Returning to build of newscache-1.2.r.6_4
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by newscache-1.2.r.6_4 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by newscache-1.2.r.6_4 for building
=> SHA256 Checksum OK for NewsCache-1.2rc6.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by newscache-1.2.r.6_4 for building
===>  Extracting for newscache-1.2.r.6_4
=> SHA256 Checksum OK for NewsCache-1.2rc6.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for newscache-1.2.r.6_4
===>  Applying FreeBSD patches for newscache-1.2.r.6_4
/usr/bin/sed -i.bak -e "s,-pedantic,," 
/wrkdirs/usr/ports/news/newscache/work/NewsCache-1.2rc6/configure.in
===========================================================================
=======================<phase: build-depends  >============================
===>   newscache-1.2.r.6_4 depends on file: /usr/local/bin/automake-1.14 - not 
found
===>    Verifying install for /usr/local/bin/automake-1.14 in 
/usr/ports/devel/automake
===>   Installing existing package /packages/All/automake-1.14.txz
Installing automake-1.14...Installing autoconf-wrapper-20130530... done
Installing autoconf-2.69...Installing m4-1.4.17,1... done
Installing perl-5.14.4_2...Removing /usr/local/etc/perl5_version... Done.
Creating /usr/local/etc/perl5_version... Done.
Removing stale symlinks from /usr/bin...
    Skipping /usr/bin/perl
    Skipping /usr/bin/perl5
Done.
Creating various symlinks in /usr/bin...
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl
    Symlinking /usr/local/bin/perl5.14.4 to /usr/bin/perl5
Done.
 done
 done
Installing automake-wrapper-20130530... done
 done
===>   Returning to build of newscache-1.2.r.6_4
===>   newscache-1.2.r.6_4 depends on file: /usr/local/bin/autoconf-2.69 - found
===========================================================================
=======================<phase: lib-depends    >============================
===>   newscache-1.2.r.6_4 depends on shared library: socket[+][+].1 - not found
===>    Verifying install for socket[+][+].1 in /usr/ports/net/libsocket++
===>   Installing existing package /packages/All/libsocket++-1.12.13.txz
Installing libsocket++-1.12.13... done
===>   Returning to build of newscache-1.2.r.6_4
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for newscache-1.2.r.6_4
(cd /wrkdirs/usr/ports/news/newscache/work/NewsCache-1.2rc6; /usr/bin/env 
AUTOMAKE=/usr/local/bin/automake-1.14  
AUTOMAKE_DIR=/usr/local/share/automake-1.14  AUTOMAKE_VERSION=1.14  
AUTOMAKE_APIVER=1.14  ACLOCAL=/usr/local/bin/aclocal-1.14  
ACLOCAL_DIR=/usr/local/share/aclocal-1.14 AUTOCONF=/usr/local/bin/autoconf-2.69 
 AUTOCONF_DIR=/usr/local/share/autoconf-2.69  
AUTOHEADER=/usr/local/bin/autoheader-2.69  
AUTOIFNAMES=/usr/local/bin/ifnames-2.69  AUTOM4TE=/usr/local/bin/autom4te-2.69  
AUTORECONF=/usr/local/bin/autoreconf-2.69  
AUTOSCAN=/usr/local/bin/autoscan-2.69  
AUTOUPDATE=/usr/local/bin/autoupdate-2.69  AUTOCONF_VERSION=2.69  
BSD_INSTALL_PROGRAM="install  -s -o root -g wheel -m 555"  
BSD_INSTALL_LIB="install  -s -o root -g wheel -m 444"  
BSD_INSTALL_SCRIPT="install  -o root -g wheel -m 555"  
BSD_INSTALL_DATA="install  -o root -g wheel -m 444"  BSD_INSTALL_MAN="install  
-o root -g wheel -m 444" CURDIR=/usr/ports/news/newscache 
DISTDIR=/portdistfiles  WRKDIR=/wrkdirs/usr/por
 ts/news/
 newscache/work WRKSRC=/wrkdirs/usr/ports/news/newscache/work/NewsCache-1.2rc6 
PATCHDIR=/usr/ports/news/newscache/files  
SCRIPTDIR=/usr/ports/news/newscache/scripts 
FILESDIR=/usr/ports/news/newscache/files  PORTSDIR=/usr/ports PREFIX=/usr/local 
LOCALBASE=/usr/local BATCH=yes /bin/sh ./autogen)
aclocal...
aclocal-1.14: warning: autoconf input should be named 'configure.ac', not 
'configure.in'
autoheader...
autoheader-2.69: WARNING: Using auxiliary files such as `acconfig.h', 
`config.h.bot'
autoheader-2.69: WARNING: and `config.h.top', to define templates for 
`config.h.in'
autoheader-2.69: WARNING: is deprecated and discouraged.
autoheader-2.69: 
autoheader-2.69: WARNING: Using the third argument of `AC_DEFINE' and
autoheader-2.69: WARNING: `AC_DEFINE_UNQUOTED' allows one to define a template 
without
autoheader-2.69: WARNING: `acconfig.h':
autoheader-2.69: 
autoheader-2.69: WARNING:   AC_DEFINE([NEED_FUNC_MAIN], 1,
autoheader-2.69:                [Define if a function `main' is needed.])
autoheader-2.69: 
autoheader-2.69: WARNING: More sophisticated templates can also be produced, 
see the
autoheader-2.69: WARNING: documentation.
automake...
automake-1.14: warning: autoconf input should be named 'configure.ac', not 
'configure.in'
configure.in:8: warning: AM_INIT_AUTOMAKE: two- and three-arguments forms are 
deprecated.  For more info, see:
configure.in:8: 
http://www.gnu.org/software/automake/manual/automake.html#Modernize-AM_005fINIT_005fAUTOMAKE-invocation
configure.in:109: installing './compile'
NServer-0.9.1/Makefile.am:4: warning: 'INCLUDES' is the old name for 
'AM_CPPFLAGS' (or '*_CPPFLAGS')
automake-1.14: warning: autoconf input should be named 'configure.ac', not 
'configure.in'
NServer-0.9.1/Makefile.am: installing './depcomp'
NServer-0.9.1/checks/Makefile.am:4: warning: 'INCLUDES' is the old name for 
'AM_CPPFLAGS' (or '*_CPPFLAGS')
parallel-tests: installing './test-driver'
NVClasses-0.9.1/Makefile.am:4: warning: 'INCLUDES' is the old name for 
'AM_CPPFLAGS' (or '*_CPPFLAGS')
doc/Makefile.am:2: warning: suffix '.texinfo' for Texinfo files is discouraged; 
use '.texi' instead
src/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or 
'*_CPPFLAGS')
test/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or 
'*_CPPFLAGS')
autoconf...
Next run ./configure
Next run make
autoheader-2.69: WARNING: Using auxiliary files such as `acconfig.h', 
`config.h.bot'
autoheader-2.69: WARNING: and `config.h.top', to define templates for 
`config.h.in'
autoheader-2.69: WARNING: is deprecated and discouraged.
autoheader-2.69: 
autoheader-2.69: WARNING: Using the third argument of `AC_DEFINE' and
autoheader-2.69: WARNING: `AC_DEFINE_UNQUOTED' allows one to define a template 
without
autoheader-2.69: WARNING: `acconfig.h':
autoheader-2.69: 
autoheader-2.69: WARNING:   AC_DEFINE([NEED_FUNC_MAIN], 1,
autoheader-2.69:                [Define if a function `main' is needed.])
autoheader-2.69: 
autoheader-2.69: WARNING: More sophisticated templates can also be produced, 
see the
autoheader-2.69: WARNING: documentation.
automake-1.14: warning: autoconf input should be named 'configure.ac', not 
'configure.in'
configure.in:8: warning: AM_INIT_AUTOMAKE: two- and three-arguments forms are 
deprecated.  For more info, see:
configure.in:8: 
http://www.gnu.org/software/automake/manual/automake.html#Modernize-AM_005fINIT_005fAUTOMAKE-invocation
NServer-0.9.1/Makefile.am:4: warning: 'INCLUDES' is the old name for 
'AM_CPPFLAGS' (or '*_CPPFLAGS')
automake-1.14: warning: autoconf input should be named 'configure.ac', not 
'configure.in'
NServer-0.9.1/checks/Makefile.am:4: warning: 'INCLUDES' is the old name for 
'AM_CPPFLAGS' (or '*_CPPFLAGS')
NVClasses-0.9.1/Makefile.am:4: warning: 'INCLUDES' is the old name for 
'AM_CPPFLAGS' (or '*_CPPFLAGS')
doc/Makefile.am:2: warning: suffix '.texinfo' for Texinfo files is discouraged; 
use '.texi' instead
src/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or 
'*_CPPFLAGS')
test/Makefile.am:4: warning: 'INCLUDES' is the old name for 'AM_CPPFLAGS' (or 
'*_CPPFLAGS')
configure: loading site script /usr/ports/Templates/config.site
checking for a BSD-compatible install... /usr/bin/install -c -o root -g wheel
checking whether build environment is sane... yes
/wrkdirs/usr/ports/news/newscache/work/NewsCache-1.2rc6/missing: Unknown 
`--is-lightweight' option
Try `/wrkdirs/usr/ports/news/newscache/work/NewsCache-1.2rc6/missing --help' 
for more information
configure: WARNING: 'missing' script is too old or missing
checking for a thread-safe mkdir -p... (cached) /bin/mkdir -p
checking for gawk... (cached) /usr/bin/awk
checking whether make sets $(MAKE)... yes
checking whether make supports nested variables... yes
checking for gcc... cc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables... 
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ISO C89... none needed
checking whether cc understands -c and -o together... yes
checking for style of include used by make... GNU
checking dependency style of cc... gcc3
checking whether we are using the GNU C++ compiler... yes
checking whether c++ accepts -g... yes
checking dependency style of c++... gcc3
checking for ranlib... ranlib
checking whether make sets $(MAKE)... (cached) yes
checking for mv... /bin/mv
checking for rm... /bin/rm
checking for sed... (cached) /usr/bin/sed
checking whether find accepts -printf... no
checking whether c++ handles exceptions... no
Your c++ compiler cannot handle exceptions!
===>  Script "configure" failed unexpectedly.
Please report the problem to po...@freebsd.org [maintainer] and attach the
"/wrkdirs/usr/ports/news/newscache/work/NewsCache-1.2rc6/config.log" including
the output of the failure of your make command. Also, it might be a good idea
to provide an overview of all packages installed on your system (e.g. a
/usr/local/sbin/pkg-static info -g -Ea).
*** Error code 1

Stop.
make: stopped in /usr/ports/news/newscache
===>  Cleaning for newscache-1.2.r.6_4
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to